import 'package:flutter/material.dart';
import 'package:flutter_google_map/routes.dart';
import 'package:flutter_google_map/utils/sp_util.dart';

/// Description: splash page
/// Time       : 07/06/2023 Thursday
/// Author     : liuyuqi.gov@msn.cn
class SplashPage extends StatefulWidget {
  const SplashPage({super.key});

  @override
  State<SplashPage> createState() => _SplashPageState();
}

class _SplashPageState extends State<SplashPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Text("SplashPage"),
    );
  }

  @override
  void didChangeDependencies() {
    super.didChangeDependencies();
    goMain();
  }

  void goMain() async {
    bool isLogin = await SpUtil.get("is_login", true);
    if (isLogin) {
      Future.delayed(Duration(seconds: 2), () {
        Routes.popAndPushNamed(context, Routes.index);
      });
    } else {
      Routes.popAndPushNamed(context, Routes.login);
    }
  }
}
