import 'package:flutter/material.dart';
import 'package:flutter_google_map/pages/index_page.dart';
import 'package:flutter_google_map/pages/login_page.dart';
import 'package:flutter_google_map/pages/tabs/home_page.dart';

class Routes {
  static const String home = "/";
  static const String index = "/index";
  static const String login = "/login";

  static MaterialPageRoute<dynamic> onGenerateRoute(RouteSettings settings) {
    switch (settings.name) {
      case home:
        return MaterialPageRoute<dynamic>(
          builder: (_) => HomePage(),
        );
      case index:
        return MaterialPageRoute<dynamic>(
          builder: (_) => IndexPage(),
        );
      case login:
        return MaterialPageRoute<dynamic>(
          builder: (_) => LoginPage(),
        );
      default:
        return MaterialPageRoute<dynamic>(
          builder: (_) => const Scaffold(
            body: Center(
              child: Text("404"),
            ),
          ),
        );
    }
  }

  static void popAndPushNamed(BuildContext context, String routePath) {
    Navigator.popAndPushNamed(context, routePath);
  }

  static void pushReplacementNamed(BuildContext context, String routePath) {
    Navigator.pushReplacementNamed(context, routePath);
  }
}
